[#ftl]
[#list configs as dt]
[#assign data = dt]
[#assign usedIPs = dt.usedIPs]
[#assign peripheralParams = dt.peripheralParams]
[#assign peripheralGPIOParams = dt.peripheralGPIOParams]
[#assign peripheralDMAParams = dt.peripheralDMAParams]
[#assign peripheralNVICParams = dt.peripheralNVICParams]
[#assign deviceFamily="${dt.family}xx"]
[#assign tmpName="${dt.device?lower_case}.s"]
[#if     tmpName?starts_with("stm32f301")]
[#assign startupFile = "startup_stm32f301x8.s"]
[#elseif  tmpName?starts_with("stm32f302")]
  [#assign startupFile = "startup_stm32f302x${tmpName[10]}.s"]
[#elseif  tmpName?starts_with("stm32f303")]
  [#assign startupFile = "startup_stm32f303x${tmpName[10]}.s"]
[#elseif  tmpName?starts_with("stm32f318")]
  [#assign startupFile = "startup_stm32f318xx.s"]
[#elseif  tmpName?starts_with("stm32f328")]
  [#assign startupFile = "startup_stm32f328xx.s"]
[#elseif  tmpName?starts_with("stm32f334")]
  [#assign startupFile = "startup_stm32f334x8.s"]
[#elseif  tmpName?starts_with("stm32f358")]
  [#assign startupFile = "startup_stm32f358xx.s"]
[#elseif  tmpName?starts_with("stm32f373")]
  [#assign startupFile = "startup_stm32f373xc.s"]
[#elseif  tmpName?starts_with("stm32f378")]
  [#assign startupFile = "startup_stm32f378xx.s"]
[#elseif  tmpName?starts_with("stm32f398")]
  [#assign startupFile = "startup_stm32f398xx.s"]
[/#if]
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- ******************************************************************************
 * File Name   : FrameworkCubeMX.gpdsc
 * Date        : ${date}
 * Description : Generator PDSC File generated by STM32CubeMX (DO NOT EDIT!)
 ****************************************************************************** -->
<package xmlns:xs="http://www.w3.org/2001/XMLSchema-instance" schemaVersion="1.0" xs:noNamespaceSchemaLocation="PACK.xsd">
  <vendor>Keil</vendor>
  <name>FrameworkCubeMX</name>
  <description>STM32CubeMX generated pack description</description>
  <url>project-path</url>
  <releases>
    <release version="1.0.0">
     - Generated: ${date}
    </release>
  </releases>
  <generators>
    <generator id="STM32CubeMX" Gvendor="STMicroelectronics" Gtool="STM32CubeMX" Gversion="4.10.0">
      <description>STM32CubeMX Environment</description>
      <select Dname="${(dt.device)}" Dvendor="STMicroelectronics:13"/>
      <command>$SMDK\CubeMX\STM32CubeMXLauncher</command>
      <workingDir>$PRTE\Device\${(dt.device)}</workingDir>
      <project_files>
        <file category="include" name="STCubeGenerated/Inc/"/>
        <file category="source" name="STCubeGenerated/Src/main.c" />
        <file category="header" name="STCubeGenerated/Inc/${deviceFamily?lower_case}_it.h"/>
        <file category="source" name="STCubeGenerated/Src/${deviceFamily?lower_case}_it.c"/>
      </project_files>
    </generator>
  </generators>
  <taxonomy>
    <description Cclass="Device" Cgroup="STM32Cube Framework" generator="STM32CubeMX">STM32Cube Framework</description>
  </taxonomy>
  <conditions>
    <condition id="STCubeMX">
      <description>Condition to include CMSIS core, Device Startup and HAL Drivers components</description>
      <require Dvendor="STMicroelectronics:13" Dname="STM32F3*"/>
      <require Cclass="CMSIS"  Cgroup="CORE"/>
      <require Cclass="Device" Cgroup="Startup"/>
      <require Cclass="Device" Cgroup="STM32Cube HAL"/>
    </condition>
  </conditions>
  <components>
    <component generator="STM32CubeMX" Cvendor="Keil" Cclass="Device" Cgroup="STM32Cube Framework" Csub="STM32CubeMX" Cversion="1.0.0" condition="STCubeMX">
      <description>Configuration via STM32CubeMX</description>
      <RTE_Components_h>
        #define RTE_DEVICE_FRAMEWORK_CUBE_MX
      </RTE_Components_h>
      <files>
        <file category="source" name="STCubeGenerated/MDK-ARM/${startupFile}" />
        <file category="source" name="STCubeGenerated/Src/system_${deviceFamily?lower_case}.c" />
        <file category="header" name="MX_Device.h"/>
        <file category="header" name="STCubeGenerated/Inc/${deviceFamily?lower_case}_hal_conf.h"/>
        <file category="source" name="STCubeGenerated/Src/${deviceFamily?lower_case}_hal_msp.c"/>
      </files>
    </component>
  </components>
</package>
[/#list]































